View Issue Details

IDProjectCategoryView StatusLast Update
0001258HTML & PERLFeature Request - Interfacepublic2008-12-08 14:32
Reporterpolariser Assigned Tofahrenheit  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001258: JS checkboxes range selection
DescriptionFor table views with a checkbox field, it would be nice to select multiple checkboxes using SHIFT + Click à la gmail. It works like the following:

1. Select first checkbox.
2. Press Shift.
3. Select last checkbox to select all checkboxes between the first and the last.

Considering situations like file lists on anidb where a "step" is sometimes required during range selection (for e.g., while selecting only the MKV releases in a file list), it might be nice to also allow for a stepping feature like the following:

1. Select first checkbox.
2. Optionally select second checkbox in series.
3. Press Shift.
4. Select last checkbox to select all checkboxes between the first and the last accomodating any steps in the series as per 2.

Maybe this can be incorporated into the "check-all" code.

Thanks.
Tagsjavascript, UI

Relationships

related to 0000857 new AJAX/JS Tool on anime display pages for mass status. 

Activities

fahrenheit

2008-11-15 01:38

reporter   ~0002411

done, should be working for every place that has checkboxes inside a form element.

polariser

2008-12-08 06:12

reporter   ~0002439

Thanks - the step feature has been deemed un-useful?

fahrenheit

2008-12-08 13:13

reporter   ~0002440

what?

check all checkboxes using the first-shift-last, manualy uncheck any checkboxes that you don't want?

polariser

2008-12-08 14:28

reporter   ~0002441

Actually, never mind. I can just sort the table and then use the range checkbox selector. Muchas gracias.

Issue History

Date Modified Username Field Change
2008-08-28 18:48 polariser New Issue
2008-08-28 18:49 polariser Tag Attached: javascript
2008-08-28 18:49 polariser Tag Attached: UI
2008-08-28 21:10 fahrenheit Relationship added related to 0000857
2008-10-25 17:02 DerIdiot Status new => assigned
2008-10-25 17:02 DerIdiot Assigned To => fahrenheit
2008-11-15 01:38 fahrenheit Status assigned => resolved
2008-11-15 01:38 fahrenheit Resolution open => fixed
2008-11-15 01:38 fahrenheit Note Added: 0002411
2008-12-08 06:12 polariser Status resolved => feedback
2008-12-08 06:12 polariser Resolution fixed => reopened
2008-12-08 06:12 polariser Note Added: 0002439
2008-12-08 13:13 fahrenheit Note Added: 0002440
2008-12-08 14:28 polariser Note Added: 0002441
2008-12-08 14:32 fahrenheit Status feedback => resolved
2008-12-08 14:32 fahrenheit Resolution reopened => fixed